God continues the prophecy of what will happen to the scattered Israelites.

## the stone heart from their flesh ##

This is a way of saying that God will change their attitude from stubborn rebellion. AT: "their stubbornness" (See: [[rc://en/ta/man/translate/figs-metonymy]])

## a heart of flesh ##

This is a way to say that God will change their attitude to accept his rule. AT: "a willingness to obey" (See: [[rc://en/ta/man/translate/figs-metonymy]])

## affection ##

AT: "devotion"

## detestable things ##

AT: "obnoxious things" or "offensive things"

## conduct ##

AT: "actions"

## on their own heads ##

AT: "back onto those people." (See: [[rc://en/ta/man/translate/figs-idiom]])

## declaration ##

AT: "statement"